<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.cyksj.mapper.UserSysMsgNotifyMapper">

    <insert id="recordUserAccountUpdateSysMsg">
        insert into
        user_sys_msg_notify(`goods_id`,`sku_id`,`user_id`,`relation_id`,`account`,`msg`,`created_time`,`update_time`)
        values
        <foreach collection="list" item="item" separator=",">
            (#{goodsId},#{skuId},#{item.userId},#{item.id},#{account},#{msg},now(),now())
        </foreach>
    </insert>

    <insert id="recordUserAccountSetSysMsg">
        insert into
        user_sys_msg_notify(`goods_id`,`sku_id`,`user_id`,`relation_id`,`account`,`msg`,`created_time`,`update_time`)
        values
        <foreach collection="list" item="item" separator=",">
            (#{goodsId},#{skuId},#{item.userId},#{item.id},#{account},#{msg},now(),now())
        </foreach>
    </insert>
</mapper>